part of '../simple_type.dart';

SizedBox w(double width) => SizedBox(width: St._apply(width));

SizedBox h(double height) => SizedBox(height: St._apply(height));

Spacer s(int flex) => Spacer(flex: flex);

EdgeInsets all(double value) => EdgeInsets.all(St._apply(value));

EdgeInsets only({double left, double top, double right, double bottom}) =>
    EdgeInsets.only(left: left, top: top, right: right, bottom: bottom);

EdgeInsets ltrb(double left, double top, double right, double bottom) =>
    EdgeInsets.fromLTRB(left, top, right, bottom);

EdgeInsets left(double left) => EdgeInsets.only(left: left);

EdgeInsets top(double top) => EdgeInsets.only(top: top);

EdgeInsets right(double right) => EdgeInsets.only(right: right);

EdgeInsets bottom(double bottom) => EdgeInsets.only(bottom: bottom);

EdgeInsets symmetric({double vertical, double horizontal}) =>
    EdgeInsets.symmetric(vertical: vertical, horizontal: horizontal);
